aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libxdg-basedir/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-27 14:10:32 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-27 14:10:48 -0600
commit34bd07266f03bc94f4899b0131d6b048712059ec (patch)
treebc6ae039bf41052f4db6f91a300d61c8ee94255c /testing/libxdg-basedir/APKBUILD
parente8970cc274269fdc4f62612ff40ddf62f59021fe (diff)
downloadaports-34bd07266f03bc94f4899b0131d6b048712059ec.tar.gz
aports-34bd07266f03bc94f4899b0131d6b048712059ec.tar.bz2
aports-34bd07266f03bc94f4899b0131d6b048712059ec.tar.xz
testing/libxdg-basedir: new aport
Diffstat (limited to 'testing/libxdg-basedir/APKBUILD')
-rw-r--r--testing/libxdg-basedir/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/libxdg-basedir/APKBUILD b/testing/libxdg-basedir/APKBUILD
new file mode 100644
index 0000000000..c7d7a66fb1
--- /dev/null
+++ b/testing/libxdg-basedir/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=libxdg-basedir
+pkgver=1.1.1
+pkgrel=0
+pkgdesc="library for XDG base dir specification"
+url="http://n.ethz.ch/~nevillm/download/libxdg-basedir/"
+arch="all"
+license="MIT"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://n.ethz.ch/~nevillm/download/libxdg-basedir/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7c64a28b08c8fdf6c8a95b0d5f1497b0 libxdg-basedir-1.1.1.tar.gz"